> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get setting

> Retrieve a specific setting for the current user.



## OpenAPI

````yaml get /users/settings/{key}
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /users/settings/{key}:
    get:
      tags:
        - User Settings
      description: Retrieve a specific setting for the current user.
      parameters:
        - in: path
          name: key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The value of the user setting
          content:
            application/json:
              schema:
                type: string
      security:
        - Authentication: []
components:
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````